Subject: Re: bug#30106: Loading file /sources/emacs/lisp/emacs-lisp/ert.elc failed to provide feature `mod-test'

From: Jean Louis <[email-masked]>
Date: Wed, 17 Jan 2018 22:37:35 +0300

On Wed, Jan 17, 2018 at 01:58:17PM -0500, Glenn Morris wrote:
> Glenn Morris wrote:
> 
> > Same error on rhel 7.4 if configure with --without-threads --with-modules.
> >
> >   Emacs module assertion: Module function called from outside the current
> >   Lisp thread
> 
> PS --without-all implies --without-threads, ref.
> 
>   https://debbugs.gnu.org/30106#37
> 
> Note that the OP has switched to using --without-all from the initial
> report, and is now having a different problem. Compare
> 
> https://debbugs.gnu.org/30106#11
> https://debbugs.gnu.org/30106#37

In beginning I did not use without-all, then I
changed, overlooked it.

However, now at this point, but maybe after
patching, I could compile it so that it works. I
can load the dynamic module with (require 'pq)

Earlier, even though I did not use --without-all,
but I did use --with-modules I could not compile
it to work.

Jean